Loading...
Searching...
No Matches
connection.hpp File Reference

A connection to a remote AMQP peer. More...

`#include "./fwd.hpp"`
`#include "./internal/export.hpp"`
`#include "./internal/object.hpp"`
`#include "./endpoint.hpp"`
`#include "./session.hpp"`
`#include "./symbol.hpp"`
`#include "./value.hpp"`
`#include <proton/type_compat.h>`
`#include <map>`
`#include <string>`
Include dependency graph for connection.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | connection
| A connection to a remote AMQP peer. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Detailed Description

A connection to a remote AMQP peer.